libzypp 17.37.10

zyppng::AcceptNoDigestRequest Namespace Reference

## Functions
constexpr std::string_view | CTYPE ("digest/accept-no-digest")
constexpr std::string_view | FILE ("file")
UserData | makeData (const zypp::Pathname &p)

## Detailed Description

A digest user request asking the user to accept verification of a file that has no checksum available.

Something like: "File foo.bar has no checksum. Continue?"

Userdata fields:

- "file" Path of the file to be validated

## Function Documentation

## ◆ CTYPE()

std::string_view zyppng::AcceptNoDigestRequest::CTYPE | ( | "digest/accept-no-digest" |  | ) |
| constexpr

## ◆ FILE()

std::string_view zyppng::AcceptNoDigestRequest::FILE | ( | "file" |  | ) |
| constexpr

## ◆ makeData()

UserData zyppng::AcceptNoDigestRequest::makeData | ( | const zypp::Pathname & | p | ) |

Definition at line 13 of file userrequest.cc.